Index: /palm/trunk/SOURCE/inflow_turbulence.f90
===================================================================
--- /palm/trunk/SOURCE/inflow_turbulence.f90	(revision 225)
+++ /palm/trunk/SOURCE/inflow_turbulence.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix for nonparallel execution
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 222 2009-01-12 16:04:16Z letzel
+! Bugfix for nonparallel execution
 !
 ! Initial version (2008/03/07)
Index: /palm/trunk/SOURCE/init_cloud_physics.f90
===================================================================
--- /palm/trunk/SOURCE/init_cloud_physics.f90	(revision 225)
+++ /palm/trunk/SOURCE/init_cloud_physics.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: abort in case that absolute temperature is below zero
+! 
 !
 ! Former revisions:
 ! ------------------
 ! $Id$
+!
+! 221 2009-01-12 15:32:23Z raasch
+! Bugfix: abort in case that absolute temperature is below zero
 !
 ! 95 2007-06-02 16:48:38Z raasch
@@ -67,6 +70,5 @@
           WRITE( message_string, * )  'absolute temperature < 0.0 at zu(', k, &
                                       ') = ', zu(k)
-          CALL handle_palm_message( 'init_cloud_physics', 'PA0142', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'init_cloud_physics', 'PA0142', 1, 2, 0, 6, 0 )
        ENDIF
        hyp(k)    = surface_pressure * 100.0 * &
Index: /palm/trunk/SOURCE/init_coupling.f90
===================================================================
--- /palm/trunk/SOURCE/init_coupling.f90	(revision 225)
+++ /palm/trunk/SOURCE/init_coupling.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix for nonparallel execution
+! 
 !
 ! Former revisions:
 ! ------------------
 ! $Id$
+!
+! 222 2009-01-12 16:04:16Z letzel
+! Initial revision
 !
 ! Description:
Index: /palm/trunk/SOURCE/init_dvrp.f90
===================================================================
--- /palm/trunk/SOURCE/init_dvrp.f90	(revision 225)
+++ /palm/trunk/SOURCE/init_dvrp.f90	(revision 226)
@@ -4,11 +4,14 @@
 ! Actual revisions:
 ! -----------------
-! DVRP arguments changed to single precision, mode pathlines added
 ! TEST: print* statements
 ! ToDo: checking of mode_dvrp for legal values is not correct
 ! Implementation of a MPI-1 coupling: __mpi2 adjustments for MPI_COMM_WORLD
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 210 2008-11-06 08:54:02Z raasch
+! DVRP arguments changed to single precision, mode pathlines added
 !
 ! 155 2008-03-28 10:56:30Z letzel
Index: /palm/trunk/SOURCE/init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/init_grid.f90	(revision 225)
+++ /palm/trunk/SOURCE/init_grid.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! +topography_grid_convention
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 217 2008-12-09 18:00:48Z letzel
+! +topography_grid_convention
 !
 ! 134 2007-11-21 07:28:38Z letzel
Index: /palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- /palm/trunk/SOURCE/init_pegrid.f90	(revision 225)
+++ /palm/trunk/SOURCE/init_pegrid.f90	(revision 226)
@@ -4,6 +4,4 @@
 ! Actual revisions:
 ! -----------------
-! Implementation of a MPI-1 coupling: added __parallel within the __mpi2 part
-! 2d-decomposition is default on SGI-ICE systems
 ! ATTENTION: nnz_x undefined problem still has to be solved!!!!!!!!
 ! TEST OUTPUT (TO BE REMOVED) logging mpi2 ierr values
@@ -12,4 +10,8 @@
 ! -----------------
 ! $Id$
+!
+! 206 2008-10-13 14:59:11Z raasch
+! Implementation of a MPI-1 coupling: added __parallel within the __mpi2 part
+! 2d-decomposition is default on SGI-ICE systems
 !
 ! 197 2008-09-16 15:29:03Z raasch
Index: /palm/trunk/SOURCE/local_stop.f90
===================================================================
--- /palm/trunk/SOURCE/local_stop.f90	(revision 225)
+++ /palm/trunk/SOURCE/local_stop.f90	(revision 226)
@@ -4,11 +4,14 @@
 ! Actual revisions:
 ! -----------------
-! Implementation of a MPI-1 coupling: replaced myid with target_id.
-! The uncoupled case allows stop or mpi_abort depending on new steering
-! parameter abort_mode, which is set in handle_palm_message.
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 213 2008-11-13 10:26:18Z raasch
+! Implementation of a MPI-1 coupling: replaced myid with target_id.
+! The uncoupled case allows stop or mpi_abort depending on new steering
+! parameter abort_mode, which is set in routine message.
 !
 ! 147 2008-02-01 12:41:46Z raasch
Index: /palm/trunk/SOURCE/local_tremain.f90
===================================================================
--- /palm/trunk/SOURCE/local_tremain.f90	(revision 225)
+++ /palm/trunk/SOURCE/local_tremain.f90	(revision 226)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Type of count and count_rate changed to INTEGER(8) in order to avoid out of
-! range problems (which result in measured negative time intervals)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 225 2009-01-26 14:44:20Z raasch
+! Type of count and count_rate changed to INTEGER(8) in order to avoid out of
+! range problems (which result in measured negative time intervals)
 !
 ! 82 2007-04-16 15:40:52Z raasch
Index: /palm/trunk/SOURCE/local_tremain_ini.f90
===================================================================
--- /palm/trunk/SOURCE/local_tremain_ini.f90	(revision 225)
+++ /palm/trunk/SOURCE/local_tremain_ini.f90	(revision 226)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Type of count and count_rate changed to INTEGER(8) in order to avoid out of
-! range problems (which result in measured negative time intervals)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 225 2009-01-26 14:44:20Z raasch
+! Type of count and count_rate changed to INTEGER(8) in order to avoid out of
+! range problems (which result in measured negative time intervals)
 !
 ! 82 2007-04-16 15:40:52Z raasch
Index: /palm/trunk/SOURCE/message.f90
===================================================================
--- /palm/trunk/SOURCE/message.f90	(revision 226)
+++ /palm/trunk/SOURCE/message.f90	(revision 226)
@@ -0,0 +1,152 @@
+ SUBROUTINE message( routine_name, message_identifier, requested_action, &
+                     message_level, output_on_pe, file_id, flush )
+
+!------------------------------------------------------------------------------!
+! Actual revisions:
+! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 213 2008-11-13 10:26:18Z raasch
+! Initial revision
+!
+! Description:
+! ------------
+! Handling of the different kinds of messages.
+! Meaning of formal parameters:
+! requested_action: 0 - continue, 1 - abort by stop, 2 - abort by mpi_abort
+! message_level: 0 - informative, 1 - warning, 2 - error
+! output_on_pe: -1 - all, else - output on specified PE
+! file_id: 6 - stdout (*)
+! flush: 0 - no action, 1 - flush the respective output buffer
+!------------------------------------------------------------------------------!
+
+    USE pegrid
+    USE control_parameters
+
+    IMPLICIT NONE
+
+    CHARACTER(LEN=6)   ::  message_identifier
+    CHARACTER(LEN=*)   ::  routine_name
+    CHARACTER(LEN=200) ::  header_string
+
+    INTEGER ::  file_id, flush, i, message_level, output_on_pe, requested_action
+
+    LOGICAL ::  do_output, pe_out_of_range
+
+
+    do_output       = .FALSE.
+    pe_out_of_range = .FALSE.
+
+!    print*, '#1'
+!
+!-- Create the complete output string, starting with the message level
+    IF ( message_level == 0 )  THEN
+       header_string = '--- informative message ---  ID:'
+    ELSEIF ( message_level == 1 )  THEN
+       header_string = '+++ warning message ---  ID:'
+    ELSEIF ( message_level == 2 )  THEN
+       header_string = '+++ error message ---  ID:'
+    ELSE
+       WRITE( header_string,'(A,I2)' )  '+++ unknown message level: ', &
+                                        message_level
+    ENDIF
+
+!    print*, '#2'
+!
+!-- Add the message identifier and the generating routine
+    header_string = TRIM( header_string ) // ' ' // message_identifier // &
+                    '   generated by routine: ' // TRIM( routine_name )
+
+!    print*, '#3'
+!
+!-- Output the output string and the corresponding message string which had
+!-- been already assigned in the calling subroutine.
+!
+!-- First find out if output shall be done on this PE.
+    IF ( output_on_pe == -1 )  THEN
+       do_output = .TRUE.
+    ELSEIF ( myid == output_on_pe )  THEN
+       do_output = .TRUE.
+    ENDIF
+!    print*, '#4'
+#if defined( __parallel )
+!
+!-- In case of illegal pe number output on pe0
+    IF ( output_on_pe > numprocs-1 )  THEN
+       pe_out_of_range = .TRUE.
+       IF ( myid == 0 )  do_output = .TRUE.
+    ENDIF
+!    print*, '#5'
+#endif
+
+!
+!-- Now do the output
+    IF ( do_output )  THEN
+!    print*, '#6'
+       IF ( file_id == 6 )  THEN
+!
+!--       Output on stdout
+          WRITE( *, '(A/)' )  TRIM( header_string )
+!    print*, '#7'
+!
+!--       Cut message string into pieces and output one piece per line.
+!--       Remove leading blanks.
+          message_string = ADJUSTL( message_string )
+          i = INDEX( message_string, '&' )
+          DO WHILE ( i /= 0 )
+             WRITE( *, '(4X,A)' )  ADJUSTL( message_string(1:i-1) )
+             message_string = ADJUSTL( message_string(i+1:) )
+             i = INDEX( message_string, '&' )
+          ENDDO
+          WRITE( *, '(4X,A)' )  TRIM( message_string )
+!    print*, '#8'
+
+       ELSE
+!    print*, '#9'
+!
+!--       Output on requested file id (file must have been opened elsewhere!)
+          WRITE( file_id, '(A/)' )  TRIM( header_string )
+!
+!--       Cut message string into pieces and output one piece per line.
+!--       Remove leading blanks.
+          message_string = ADJUSTL( message_string )
+          i = INDEX( message_string, '&' )
+          DO WHILE ( i /= 0 )
+             WRITE( file_id, '(4X,A)' )  ADJUSTL( message_string(1:i-1) )
+             message_string = ADJUSTL( message_string(i+1:) )
+             i = INDEX( message_string, '&' )
+          ENDDO
+          WRITE( file_id, '(4X,A)' )  TRIM( message_string )
+
+!
+!--       Flush buffer, if requested
+          IF ( flush == 1 )  CALL local_flush( file_id )
+       ENDIF
+!    print*, '#10'
+
+       IF ( pe_out_of_range )  THEN
+          WRITE ( *, '(A)' )  '+++ WARNING from routine message:'
+          WRITE ( *, '(A,I6,A)' )  '    PE ', output_on_pe, &
+                                   ' choosed for output is larger '
+          WRITE ( *, '(A,I6)' )  '    than the maximum number of used PEs', &
+                                 numprocs-1
+          WRITE ( *, '(A)' )  '    Output is done on PE0 instead'
+       ENDIF
+!    print*, '#11'
+
+    ENDIF
+
+!
+!-- Abort execution, if requested
+!    print*, '#12'
+    IF ( requested_action > 0 )  THEN
+       abort_mode = requested_action
+       CALL local_stop
+    ENDIF
+!    print*, '#13'
+
+ END SUBROUTINE message
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 225)
+++ /palm/trunk/SOURCE/modules.f90	(revision 226)
@@ -5,11 +5,14 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 217 2008-12-09 18:00:48Z letzel
 ! +topography_grid_convention
 ! some dvrp-variables changed to single precision, variables for dvrp-mode
 ! pathlines added, +target_id, abort_mode, message_string
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 197 2008-09-16 15:29:03Z raasch
Index: /palm/trunk/SOURCE/netcdf.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf.f90	(revision 225)
+++ /palm/trunk/SOURCE/netcdf.f90	(revision 226)
@@ -7,10 +7,13 @@
 ! Current revisions:
 ! ------------------
-! Origin of the xy-coordinate system shifted from the center of the first
-! grid cell (indices i=0, j=0) to the south-left corner of this cell.
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 216 2008-11-25 07:12:43Z raasch
+! Origin of the xy-coordinate system shifted from the center of the first
+! grid cell (indices i=0, j=0) to the south-left corner of this cell.
 !
 ! 189 2008-08-13 17:09:26Z letzel
Index: /palm/trunk/SOURCE/package_parin.f90
===================================================================
--- /palm/trunk/SOURCE/package_parin.f90	(revision 225)
+++ /palm/trunk/SOURCE/package_parin.f90	(revision 226)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 210 2008-11-06 08:54:02Z raasch
+! Variables for dvrp-mode pathlines added
 !
 ! 116 2007-10-11 02:30:27Z raasch
Index: /palm/trunk/SOURCE/palm.f90
===================================================================
--- /palm/trunk/SOURCE/palm.f90	(revision 225)
+++ /palm/trunk/SOURCE/palm.f90	(revision 226)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Initialization of coupled runs modified for MPI-1 and moved to external
-! subroutine init_coupling
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 215 2008-11-18 09:54:31Z raasch
+! Initialization of coupled runs modified for MPI-1 and moved to external
+! subroutine init_coupling
 !
 ! 197 2008-09-16 15:29:03Z raasch
Index: /palm/trunk/SOURCE/production_e.f90
===================================================================
--- /palm/trunk/SOURCE/production_e.f90	(revision 225)
+++ /palm/trunk/SOURCE/production_e.f90	(revision 226)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix concerning the calculation of velocity gradients at vertical walls 
-! in case of diabatic conditions
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 208 2008-10-20 06:02:59Z raasch
+! Bugfix concerning the calculation of velocity gradients at vertical walls 
+! in case of diabatic conditions
 !
 ! 187 2008-08-06 16:25:09Z letzel
Index: /palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/read_3d_binary.f90	(revision 225)
+++ /palm/trunk/SOURCE/read_3d_binary.f90	(revision 226)
@@ -4,12 +4,15 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 220 2008-12-18 07:00:36Z raasch
 ! reading mechanism completely revised (subdomain/total domain size can vary
 ! arbitrarily between current and previous run)
 ! Bugfix: reading of spectrum_x|y from restart files ignored if total numbers
 ! of grid points do not match
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 150 2008-02-29 08:19:58Z raasch
Index: /palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/read_var_list.f90	(revision 225)
+++ /palm/trunk/SOURCE/read_var_list.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! limitations for nx_on_file, ny_on_file removed (read_parts_of_var_list)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 216 2008-11-25 07:12:43Z raasch
+! limitations for nx_on_file, ny_on_file removed (read_parts_of_var_list)
 !
 ! 173 2008-05-23 20:39:38Z raasch
Index: /palm/trunk/SOURCE/surface_coupler.f90
===================================================================
--- /palm/trunk/SOURCE/surface_coupler.f90	(revision 225)
+++ /palm/trunk/SOURCE/surface_coupler.f90	(revision 226)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Implementation of a MPI-1 Coupling: replaced myid with target_id,
-! deleted __mpi2 directives
+! 
 !
 ! Former revisions:
 ! ------------------
 ! $Id$
+!
+! 206 2008-10-13 14:59:11Z raasch
+! Implementation of a MPI-1 Coupling: replaced myid with target_id,
+! deleted __mpi2 directives
 !
 ! 109 2007-08-28 15:26:47Z letzel
Index: /palm/trunk/SOURCE/timestep.f90
===================================================================
--- /palm/trunk/SOURCE/timestep.f90	(revision 225)
+++ /palm/trunk/SOURCE/timestep.f90	(revision 226)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Implementation of a MPI-1 Coupling: replaced myid with target_id
-! Bugfix for nonparallel execution
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 222 2009-01-12 16:04:16Z letzel
+! Implementation of a MPI-1 Coupling: replaced myid with target_id
+! Bugfix for nonparallel execution
 !
 ! 108 2007-08-24 15:10:38Z letzel
Index: /palm/trunk/SOURCE/user_3d_data_averaging.f90
===================================================================
--- /palm/trunk/SOURCE/user_3d_data_averaging.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_3d_data_averaging.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_actions.f90
===================================================================
--- /palm/trunk/SOURCE/user_actions.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_actions.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_additional_routines.f90
===================================================================
--- /palm/trunk/SOURCE/user_additional_routines.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_additional_routines.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Initial version
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Initial version
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_advec_particles.f90
===================================================================
--- /palm/trunk/SOURCE/user_advec_particles.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_advec_particles.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_check_data_output.f90
===================================================================
--- /palm/trunk/SOURCE/user_check_data_output.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_check_data_output.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_check_data_output_pr.f90
===================================================================
--- /palm/trunk/SOURCE/user_check_data_output_pr.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_check_data_output_pr.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/user_check_parameters.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_check_parameters.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Initial version
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 217 2008-12-09 18:00:48Z letzel
+! Initial version
 !
 ! Description:
@@ -35,6 +38,5 @@
                   '"topography" = ''single_building'' or ''read_from_file''.'//&
                   ' & Choose ''cell_edge'' or ''cell_center''.'
-             CALL handle_palm_message( 'user_check_parameters', 'UI0001', 1,  &
-                  2, 0, 6, 0 )
+             CALL message( 'user_check_parameters', 'UI0001', 1, 2, 0, 6, 0 )
           ELSE
 !--          The default value is applicable here.
@@ -50,6 +52,5 @@
           message_string = 'The value for "topography_grid_convention" is '// &
                'not recognized. & Choose ''cell_edge'' or ''cell_center''.'
-          CALL handle_palm_message( 'user_check_parameters', 'UI0002', 1,  &
-               2, 0, 6, 0 )
+          CALL message( 'user_check_parameters', 'UI0002', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
Index: /palm/trunk/SOURCE/user_data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/user_data_output_2d.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_data_output_2d.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/user_data_output_3d.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_data_output_3d.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_data_output_dvrp.f90
===================================================================
--- /palm/trunk/SOURCE/user_data_output_dvrp.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_data_output_dvrp.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_define_netcdf_grid.f90
===================================================================
--- /palm/trunk/SOURCE/user_define_netcdf_grid.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_define_netcdf_grid.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_dvrp_coltab.f90
===================================================================
--- /palm/trunk/SOURCE/user_dvrp_coltab.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_dvrp_coltab.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_header.f90
===================================================================
--- /palm/trunk/SOURCE/user_header.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_header.f90	(revision 226)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! +topography_grid_convention
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 2008-12-09 18:00:48Z letzel
+! +topography_grid_convention
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_init.f90
===================================================================
--- /palm/trunk/SOURCE/user_init.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_init.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_3d_model.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_init_3d_model.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_grid.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_init_grid.f90	(revision 226)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! +topography_grid_convention
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 217 2008-12-09 18:00:48Z letzel
+! +topography_grid_convention
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_init_particles.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_particles.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_init_particles.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_init_plant_canopy.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_last_actions.f90
===================================================================
--- /palm/trunk/SOURCE/user_last_actions.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_last_actions.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_module.f90
===================================================================
--- /palm/trunk/SOURCE/user_module.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_module.f90	(revision 226)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Former file user_interface.f90 split into one file per subroutine,
-! revision history cleaned up
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 220 2008-12-18 07:00:36Z raasch
+! Former file user_interface.f90 split into one file per subroutine,
+! revision history cleaned up
 !
 ! 159 2008-04-09 08:06:03Z raasch
Index: /palm/trunk/SOURCE/user_parin.f90
===================================================================
--- /palm/trunk/SOURCE/user_parin.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_parin.f90	(revision 226)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! +topography_grid_convention
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 217 2008-12-09 18:00:48Z letzel
+! +topography_grid_convention
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_particle_attributes.f90
===================================================================
--- /palm/trunk/SOURCE/user_particle_attributes.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_particle_attributes.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_read_restart_data.f90
===================================================================
--- /palm/trunk/SOURCE/user_read_restart_data.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_read_restart_data.f90	(revision 226)
@@ -7,11 +7,14 @@
 ! Actual revisions:
 ! -----------------
-! reading mechanism revised (subdomain/total domain size can vary arbitrarily
-! between current and previous run),
-! former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 220 2008-12-18 07:00:36Z raasch
+! reading mechanism revised (subdomain/total domain size can vary arbitrarily
+! between current and previous run),
+! former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/user_spectra.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_spectra.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/user_statistics.f90	(revision 225)
+++ /palm/trunk/SOURCE/user_statistics.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Former file user_interface.f90 split into one file per subroutine
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
